Skip to content

List firmware releases

GET
/firmware-versions
curl --request GET \
--url https://app.buildtrace.eu/api/firmware-versions \
--header 'Authorization: Bearer <token>'

Required scope: firmware:read.

componentTypeId
string format: uuid
includeArchived
boolean

Archived versions are left out unless this is true.

OK

Media typeapplication/json
Array<object>
object
id
required
string format: uuid
componentTypeId
required
string format: uuid
version
required
string
status
required
string
name
string
artifactUrl
string
checksumSha256
string
fileSizeBytes
integer format: int64

Example generated

[
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"componentTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"version": "example",
"status": "example",
"name": "example",
"artifactUrl": "example",
"checksumSha256": "example",
"fileSizeBytes": 1
}
]

Unauthorized

Forbidden